classification
Title: Replace references to OS X in documentation with macOS
Type: behavior Stage: resolved
Components: Documentation, macOS Versions: Python 3.11, Python 3.10, Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, miss-islington, ned.deily, pxeger, rhettinger, ronaldoussoren, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2020-07-03 18:23 by pxeger, last changed 2021-09-23 11:05 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 21316 closed pxeger, 2020-07-04 10:02
PR 28515 merged serhiy.storchaka, 2021-09-22 08:12
PR 28523 merged miss-islington, 2021-09-22 17:33
PR 28524 merged miss-islington, 2021-09-22 17:33
Messages (10)
msg372951 - (view) Author: Patrick Reader (pxeger) * Date: 2020-07-03 18:23
Since 10.12 (Sierra, released in 2016), macOS is no longer called OS X. References to macOS in the documentation should be updated to reflect this. This is now especially important because macOS 11 (Big Sur) is now in preview, and the X meaning 10 in roman numerals is now completely incorrect (not just the wrong name).
msg372981 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2020-07-04 06:53
Would you submit at PR>
msg372985 - (view) Author: Patrick Reader (pxeger) * Date: 2020-07-04 09:04
I'm working on it
msg372987 - (view) Author: Patrick Reader (pxeger) * Date: 2020-07-04 09:40
While I'm at it, should I change "Macintosh" to "Mac"?
msg372988 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2020-07-04 10:50
As I mentioned in my review on the PR I'd prefer to keep using Macintosh where it is used to denote to MacOS 9 and earlier. Both out of nostalgia and because that older OS was substantially different from the current OS.
msg398196 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2021-07-25 20:27
Patrick, are you interested in reviving your PR? It mostly LGTM, except several not addressed comments. I clarified them.
msg402457 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2021-09-22 17:34
New changeset 36122e18148c5b6c78ebce1d36d514fd7cf250f5 by Serhiy Storchaka in branch 'main':
bpo-41203: Replace Mac OS X and OS X with macOS (GH-28515)
https://github.com/python/cpython/commit/36122e18148c5b6c78ebce1d36d514fd7cf250f5
msg402488 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2021-09-23 10:25
New changeset 1493e1a40d04a048cce9c5080ec47478a4941054 by Miss Islington (bot) in branch '3.10':
bpo-41203: Replace Mac OS X and OS X with macOS (GH-28515) (GH-28523)
https://github.com/python/cpython/commit/1493e1a40d04a048cce9c5080ec47478a4941054
msg402489 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2021-09-23 10:26
New changeset f1d5cdef57fea961646c52db7a60d1f110e0eaa6 by Miss Islington (bot) in branch '3.9':
bpo-41203: Replace Mac OS X and OS X with macOS (GH-28515) (GH-28524)
https://github.com/python/cpython/commit/f1d5cdef57fea961646c52db7a60d1f110e0eaa6
msg402492 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2021-09-23 11:05
Thank you Patrick.

We had several PRs for fixing macOS references here and there, they were closed in favor of this larger PR.
History
Date User Action Args
2021-09-23 11:05:44serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg402492

stage: patch review -> resolved
2021-09-23 10:26:01serhiy.storchakasetmessages: + msg402489
2021-09-23 10:25:35serhiy.storchakasetmessages: + msg402488
2021-09-22 17:34:04serhiy.storchakasetmessages: + msg402457
2021-09-22 17:33:52miss-islingtonsetpull_requests: + pull_request26915
2021-09-22 17:33:46miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request26914
2021-09-22 08:12:53serhiy.storchakasetpull_requests: + pull_request26907
2021-07-25 20:27:18serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg398196
2021-07-25 20:19:36serhiy.storchakasetversions: + Python 3.11
2020-07-04 10:50:33ronaldoussorensetmessages: + msg372988
2020-07-04 10:02:36pxegersetkeywords: + patch
stage: patch review
pull_requests: + pull_request20468
2020-07-04 09:40:30pxegersetmessages: + msg372987
2020-07-04 09:04:58pxegersetmessages: + msg372985
2020-07-04 06:53:32rhettingersetnosy: + rhettinger

messages: + msg372981
versions: + Python 3.9, Python 3.10
2020-07-04 02:02:43xtreaksetnosy: + ned.deily, ronaldoussoren
components: + macOS
2020-07-03 18:23:06pxegercreate